Subject: Re: [PATCH 2/3] can: fix oops caused by wrong rtnl dellink usage

From: Holger Schurig <[email-masked]>
Date: Tue, 28 Jun 2016 09:36:57 +0200

> static void can_dellink(struct net_device *dev, struct list_head *head);
>
> and
>
> static void can_dellink(struct net_device *dev, struct list_head *head)
> {
> 	return;
> }

Wouldn't the canonical form be this:

static void can_dellink(struct net_device *dev, struct list_head *head)
{
}

- the curly braces make sure this isn't a forward definition
- but no useless return either

But then again, this "return" is only cosmetical. No compiler will
generate any code from it.